<?php
session_start();
include_once('../../config/#Config.php');
if (!$_SESSION['UserName']) {
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if (!$_POST['user'] && !$_POST['namenew']) {
    $return['type'] = 1;
    $return['text'] = 'Thông tin người dùng không tồn tại.';
    echo json_encode($return);
    exit();
}
$listitem = '';
$i        = 0;
if ($_POST['item_1']) {
    if ($_POST['sl_0'] <= 0 or $_POST['sl_0'] > 100000000 or !is_numeric($_POST['sl_0'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= 'item,' . $_POST['item_1'] . ',' . $_POST['sl_0'];
    $i++;
}
if ($_POST['item_2']) {
    if ($_POST['sl_1'] <= 0 or $_POST['sl_1'] > 100000000 or !is_numeric($_POST['sl_1'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_2'] . ',' . $_POST['sl_1'];
    $i++;
}
if ($_POST['item_3']) {
    if ($_POST['sl_2'] <= 0 or $_POST['sl_2'] > 100000000 or !is_numeric($_POST['sl_2'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_3'] . ',' . $_POST['sl_2'];
    $i++;
}
if ($_POST['item_4']) {
    if ($_POST['sl_3'] <= 0 or $_POST['sl_3'] > 100000000 or !is_numeric($_POST['sl_3'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_4'] . ',' . $_POST['sl_3'];
    $i++;
}
if ($_POST['item_5']) {
    if ($_POST['sl_4'] <= 0 or $_POST['sl_4'] > 100000000 or !is_numeric($_POST['sl_4'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_5'] . ',' . $_POST['sl_4'];
    $i++;
}
if ($_POST['number'] != "" && $_POST['count'] != "") {
    $listitem .= '%3B' . $_POST['number'] . ',' . $_POST['count'];
    $i++;
}
// get info 
$getchar = mysqli_query($conn, "Select * From account_web WHERE Account = '" . $_POST['user'] . "'");
if (!mysqli_num_rows($getchar)) {
    $return['type'] = 1;
    $return['text'] = 'Tài khoản này không tồn tại.';
    echo json_encode($return);
    exit();
}
// check nhận vật
            // connect sv
            /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
            $get_Server = mysqli_query($conn, "Select * From config_server WHERE ServerID = '" . $_POST['sv'] . "'");
            if (!mysqli_num_rows($get_Server)) {
                $return['type'] = 0;
                $data['text'] = 'Máy chủ không tồn tại Hoặc bạn chưa chọn.';
                echo json_encode($data);
                exit();
            }
            $get_Server = mysqli_fetch_array($get_Server, MYSQLI_ASSOC);
            $conn_char  = @mysqli_connect($get_Server['IPdata'], $get_Server['Userdata'], $get_Server['PassData'], $get_Server['Databases']);
            if ($conn_char->mysqli_connect_errno) {
                $data['text'] = "Connection failed: " . $conn_char->mysqli_connect_errno;
                echo json_encode($data);
                exit();
            }
            mysqli_query($conn_char, "SET NAMES 'utf8'"); 			
            /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
$gcheckchar = mysqli_query($conn_char, "Select * From Player WHERE Account = '" . $_POST['user'] . "' and ID = N'" . $_POST['namenew'] . "'");
if (!mysqli_num_rows($gcheckchar)) {
    $return['type'] = 1;
    $return['text'] = 'Tài khoản chưa có Nhân vật hoặc không tồn tại.';
    echo json_encode($return);
    exit();
}
$IDChar = $_POST['namenew'];
					mysqli_query($conn, "INSERT INTO logs_admin (UserName,Type,Item,Messager,Timer) VALUES ('" . $_SESSION['UserName'] . "', '0', '$listitem', N'Chuyển ITEM S-".$_POST['sv']."-".$_POST['user']." -".$IDChar."', '".strtotime(date('d-m-Y H:i:s'))."')");				            
$pud    = time()-1509999999;
$chuoititle = json_encode(array('type' => "SendMail_ACB00099552233"));
$url    = "http://" . $get_Server['IpJson'] . ":" . $get_Server['PortJson'] . "/efunsendreward?userId=1&roleId=$IDChar&serverCode=".$get_Server['ServerID']."&serialNo=$pud&packageId=$listitem&title=$chuoititle&content=" . urlencode("Thư từ hệ thống gửi đến bạn.");
$reset  = json_decode(file_get_contents($url));
if($reset->code == 1000){
   $return['type'] = 0;
    $return['text'] = 'Gửi thư thành công. Kiểm tra thư game.';
    echo json_encode($return);
    exit();	
} else {
	if(!$reset->message){
		$noidung = $reset->msg;
	} else {
		$noidung = $reset->message;	
	}
   $return['type'] = 1;
    $return['text'] = $noidung;
    echo json_encode($return);
    exit();	
}